Subject: Re: bug#8764: 24.0.50; cedet/semantic/bovine/c-by.el:184:1:Error: Lisp nesting exceeds `max-lisp-eval-depth'

From: Christopher Browne <[email-masked]>
Date: Mon, 30 May 2011 15:19:30 -0400

On Mon, May 30, 2011 at 3:04 PM, Stefan Monnier
<[email-masked]> wrote:
>> The problem isn't within the running Emacs process, rather it's with the
>> build process for trunk.
>
> It's a file that requires a lot of stack depth, indeed.
>
>> I'm not sure where to proceed from here.  The default value is 600; I
>> don't know if fiddling that higher would actually help.
>
> The lisp/Makefile.in pushes it up to 1200 and AFAIK this is sufficient
> to bootstrap.  But maybe there are cases where a recompile ends up
> recompiling in a different order and so more of the files are still
> uncompiled, thus needing more stack space.

Thanks for pointing out the location; I did a bit of "iterative
refinement" and found that 1635 was sufficient whilst 1625 failed.

That isn't quite a scientific evaluation of what ought to be
necessary, but it sure seems that the value can need to be higher than
1200, and it's pretty plausible that 1635 only helps until an extra
couple elements get added to the parser, increasing stack usage.